Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/which: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Tue, 12 Apr 2016 17:00:34 +0000

closes https://bugs.alpinelinux.org/issues/5402
---
 testing/which/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 testing/which/APKBUILD
diff --git a/testing/which/APKBUILD b/testing/which/APKBUILD
new file mode 100644
index 0000000..1f40f5a
--- /dev/null
+++ b/testing/which/APKBUILD
_at_@ -0,0 +1,35 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=which
+pkgver=2.21
+pkgrel=0
+pkgdesc="A utility to show the full path of commands"
+url="http://savannah.gnu.org/projects/which"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="097ff1a324ae02e0a3b0369f07a7544a  which-2.21.tar.gz"
+sha256sums="f4a245b94124b377d8b49646bf421f9155d36aa7614b6ebf83705d3ffc76eaad  which-2.21.tar.gz"
+sha512sums="d2f04a5c5291f2d7d1226982da7cf999d36cfe24d3f7bda145508efcfb359511251d3c68b860c0ddcedd66b15a0587b648a35ab6d1f173707565305c506dfc61  which-2.21.tar.gz"
-- 
2.8.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Apr 12 2016 - 17:00:34 GMT